Tracking
Bulk tracking
The current status of many orders in one call.
POST
/v1/tracking/bulkBearer tokenReturns JSONSuccess 200
Send order ids, air waybill numbers, or both (up to 100 of each). What could not be found is listed in notFound.
Request
Headers
| Field | Type | Description |
|---|---|---|
Authorizationrequired | string | The access token from Get token, as "Bearer <token>". |
Content-Typerequired | string | Always application/json when a body is sent. |
Request body
| Field | Type | Description |
|---|---|---|
orderIdsoptional | string[] | Order ids to look up. Up to 100. |
awbNumbersoptional | string[] | Air waybill numbers to look up. Up to 100. |
Example request
curl -X POST "https://api.swiftazu.com/v1/tracking/bulk" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"orderIds": [
"dffcd25d-6eb3-4b90-868c-6deca160ad74"
],
"awbNumbers": [
"DEMO4YAGJ7PHSUG5"
]
}'Response
Example response · 200
{
"results": [
{
"id": "dffcd25d-6eb3-4b90-868c-6deca160ad74",
"orderId": "SWZORDYFSADMR",
"awbNumber": "DEMONQDJ3W6UDWML",
"merchantReference": "WEB-10482",
"isDemo": true,
"updatedAt": "2026-10-02T02:30:52.338Z",
"status": {
"code": "delivered",
"name": "Delivered",
"nameAr": "تم التسليم",
"isTerminal": false
},
"subStatus": null
}
],
"notFound": {
"orderIds": [],
"awbNumbers": [
"DEMO4YAGJ7PHSUG5"
]
}
}Errors
Every call can also return the shared errors listed on the Overview page. Overview